SHANNON A.I.-logo
SHANNON A.I.
Chatten Prijzen API Onderzoek Bedrijf Pentest AI Opstartboost
Inloggen
Plan & gebruik
Chatten Prijzen API Onderzoek Bedrijf Pentest AI Opstartboost Inloggen Plan & gebruik

Kies je taal

Alle talen zijn gelijk. Kies de taal waarin je wilt browsen.

API‑documentatie

Shannon API

OpenAI‑ en Anthropic‑compatibele AI‑API met function calling, webzoekopdrachten en gestructureerde outputs.

Vraag je API‑sleutel aan Playground proberen V2
Documentatie
  • OV Overzicht
  • CP Mogelijkheden
  • QS Snelle start
  • PG API‑Playground Nieuw
  • AU Authenticatie
  • ML Modellen
  • FN Function calling
  • JS Gestructureerde outputs
  • SS Streaming
  • WS Ingebouwde webzoekopdracht
  • AN Anthropic‑formaat
  • SD SDK's
  • ER Foutafhandeling
  • CL Wijzigingslog
  • AK Je API‑sleutel
  • US Je gebruik

Shannon AI API Documentation

Overzicht

Openbare docs

Alles wat je nodig hebt om te shippen met Shannons OpenAI‑ en Anthropic‑compatibele API.

Basis-URL OpenAI-compatibel
https://api.shannon-ai.com/v1/chat/completions

Gebruik de Chat Completions API met function calling en streaming.

Basis-URL Anthropic-compatibel
https://api.shannon-ai.com/v1/messages

Claude Messages-formaat met tools en anthropic-version-header.

HTTP Authenticatie
Autorisatie: Bearer <jouw-sleutel>

Of gebruik X-API-Key met anthropic-version voor Claude-stijl requests.

Toegang Status
Openbare documentatie - sleutel vereist voor aanroepen

Streaming, function calling, gestructureerde output en web search.

Launch-checklist
  • +
    Richt je SDK op Shannon
    Stel baseURL in op het OpenAI- of Anthropic-endpoint hierboven.
    Instellen
  • +
    Voeg je API-sleutel toe
    Gebruik Bearer voor OpenAI of X-API-Key + anthropic-version.
    Beveiliging
  • +
    Schakel tools en gestructureerde output in
    Ondersteunt OpenAI tools/functions, JSON schema en ingebouwde web_search.
    Mogelijkheden
  • +
    Gebruik volgen
    Bekijk token- en zoekverbruik op deze pagina na inloggen.
    Analyse

Mogelijkheden

OpenAI + Anthropic

Directe vervanging voor OpenAI- en Anthropic-API's met native ondersteuning voor tools, gestructureerde output en web search.

AI

Directe vervanging

Compatibel

Werkt met OpenAI‑ en Anthropic‑SDK’s. Verander alleen de basis‑URL.

AI

Functie‑aanroepen

Tools

Definieer tools en laat Shannon ze aanroepen. Ondersteunt auto-, forced- en none‑modus.

AI

Ingebouwde webzoekfunctie

Zoeken

Realtime webzoekopdrachten met bronverwijzingen. Automatisch beschikbaar.

AI

Gestructureerde outputs

JSON

JSON‑modus en JSON Schema‑afdwinging voor betrouwbare data‑extractie.

AI

Multi‑turn tools

Agentisch

Automatische uitvoeringslussen voor functies. Tot 10 iteraties per verzoek.

AI

Streaming

Snel

Server‑Sent Events voor realtime tokenstreaming.

Snelle start

5 minuten

Begin in drie stappen. Shannon spiegelt OpenAI‑ en Anthropic‑clients.

1

Stel je basis‑URL in

Gebruik het OpenAI‑compatibele endpoint.

https://api.shannon-ai.com/v1/chat/completions
2

Voeg je API‑sleutel toe

Gebruik Bearer‑auth in de Authorization‑header.

3

Verstuur je eerste bericht

Kies een taal en vervang met je sleutel.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    max_tokens=1024
)

print(response.choices[0].message.content)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'system', content: 'You are a helpful assistant.' },
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  max_tokens: 1024
});

console.log(response.choices[0].message.content);
Go
package main

import (
    "context"
    "fmt"
    openai "github.com/sashabaranov/go-openai"
)

func main() {
    config := openai.DefaultConfig("YOUR_API_KEY")
    config.BaseURL = "https://api.shannon-ai.com/v1"
    client := openai.NewClientWithConfig(config)

    resp, err := client.CreateChatCompletion(
        context.Background(),
        openai.ChatCompletionRequest{
            Model: "shannon-1.6-lite",
            Messages: []openai.ChatCompletionMessage{
                {Role: "system", Content: "You are a helpful assistant."},
                {Role: "user", Content: "Hello, Shannon!"},
            },
            MaxTokens: 1024,
        },
    )
    if err != nil {
        panic(err)
    }
    fmt.Println(resp.Choices[0].Message.Content)
}
cURL
curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "shannon-1.6-lite",
    "messages": [
      {"role": "system", "content": "You are a helpful assistant."},
      {"role": "user", "content": "Hello, Shannon!"}
    ],
    "max_tokens": 1024
  }'

Antwoordformaat

Succesrespons
{
  "id": "chatcmpl-abc123",
  "object": "chat.completion",
  "created": 1234567890,
  "model": "Shannon 1.6 Lite",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
      },
      "finish_reason": "stop"
    }
  ],
  "usage": {
    "prompt_tokens": 25,
    "completion_tokens": 18,
    "total_tokens": 43
  }
}

API‑Playground

Nieuw

Test de Shannon API rechtstreeks in je browser. Bouw je verzoek, voer uit en zie de reactie in realtime.

1

Chat, Responses, Messages

Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.

2

Stream live output

Run real requests, inspect raw JSON, and view stream events from the same operator console.

3

Reuse your key

Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.

/nl/docs/playground

The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.

Playground proberen V2 Vraag je API‑sleutel aan

Authenticatie

Alle API-aanvragen vereisen authenticatie met je Shannon API-sleutel.

OpenAI-formaat (Aanbevolen)

HTTP
Authorization: Bearer YOUR_API_KEY

Anthropic‑formaat

HTTP
X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01

Modellen

Shannon biedt meerdere modellen die zijn geoptimaliseerd voor verschillende use-cases.

AI
shannon-1.6-lite Shannon 1.6 Lite

Snelle, efficiente antwoorden voor dagelijkse taken

Context 128K
Beste voor Chat, Q&A, contentgeneratie
AI
shannon-1.6-pro Shannon 1.6 Pro

Geavanceerd redeneren voor complexe problemen

Context 128K
Beste voor Analyse, onderzoek, complexe taken
AI
shannon-2-lite Shannon 2 Lite

Context 128K
Beste voor
AI
shannon-2-pro Shannon 2 Pro

Context 128K
Beste voor
AI
shannon-coder-1 Shannon Coder

Geoptimaliseerd voor Claude Code CLI met aanroep-gebaseerde quota

Context 128K
Beste voor Codegeneratie, toolgebruik, CLI-integratie
Aanroep-gebaseerde quota

Function calling

Define tools that Shannon can call to perform actions or retrieve information.

Python
from openai import OpenAI
import json

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Define available tools/functions
tools = [
    {
        "type": "function",
        "function": {
            "name": "get_weather",
            "description": "Get current weather for a location",
            "parameters": {
                "type": "object",
                "properties": {
                    "location": {
                        "type": "string",
                        "description": "City name, e.g., 'Tokyo'"
                    },
                    "unit": {
                        "type": "string",
                        "enum": ["celsius", "fahrenheit"]
                    }
                },
                "required": ["location"]
            }
        }
    }
]

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
    tools=tools,
    tool_choice="auto"
)

# Check if model wants to call a function
if response.choices[0].message.tool_calls:
    tool_call = response.choices[0].message.tool_calls[0]
    print(f"Function: {tool_call.function.name}")
    print(f"Arguments: {tool_call.function.arguments}")
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const tools = [
  {
    type: 'function',
    function: {
      name: 'get_weather',
      description: 'Get current weather for a location',
      parameters: {
        type: 'object',
        properties: {
          location: { type: 'string', description: "City name" },
          unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
        },
        required: ['location']
      }
    }
  }
];

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
  tools,
  tool_choice: 'auto'
});

if (response.choices[0].message.tool_calls) {
  const toolCall = response.choices[0].message.tool_calls[0];
  console.log('Function:', toolCall.function.name);
  console.log('Arguments:', toolCall.function.arguments);
}

Toolkeuze-opties

"auto" Model beslist of een functie wordt aangeroepen (standaard)
"none" Schakel function calling uit voor dit verzoek
{"type": "function", "function": {"name": "..."}} Forceer een specifieke functieaanroep

Function-call respons

Wanneer het model een functie aanroept
{
  "id": "chatcmpl-xyz",
  "choices": [
    {
      "index": 0,
      "message": {
        "role": "assistant",
        "content": null,
        "tool_calls": [
          {
            "id": "call_abc123",
            "type": "function",
            "function": {
              "name": "get_weather",
              "arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
            }
          }
        ]
      },
      "finish_reason": "tool_calls"
    }
  ]
}

Gestructureerde outputs

Force Shannon to respond with valid JSON that matches your schema.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Force JSON output with schema
response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
    ],
    response_format={
        "type": "json_schema",
        "json_schema": {
            "name": "person_info",
            "schema": {
                "type": "object",
                "properties": {
                    "name": {"type": "string"},
                    "age": {"type": "integer"},
                    "occupation": {"type": "string"}
                },
                "required": ["name", "age", "occupation"]
            }
        }
    }
)

import json
data = json.loads(response.choices[0].message.content)
print(data)  # {"name": "John Doe", "age": 30, "occupation": "engineer"}
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
  ],
  response_format: {
    type: 'json_schema',
    json_schema: {
      name: 'person_info',
      schema: {
        type: 'object',
        properties: {
          name: { type: 'string' },
          age: { type: 'integer' },
          occupation: { type: 'string' }
        },
        required: ['name', 'age', 'occupation']
      }
    }
  }
});

const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" }

Responsformaat-opties

{"type": "json_object"} Forceer geldige JSON-output (geen specifiek schema)
{"type": "json_schema", "json_schema": {...}} Forceer output die exact overeenkomt met je schema

Streaming

Enable real-time token streaming with Server-Sent Events for responsive UIs.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Enable streaming for real-time responses
stream = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "Write a short poem about AI"}
    ],
    stream=True
)

for chunk in stream:
    if chunk.choices[0].delta.content:
        print(chunk.choices[0].delta.content, end="", flush=True)
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'Write a short poem about AI' }
  ],
  stream: true
});

for await (const chunk of stream) {
  const content = chunk.choices[0]?.delta?.content;
  if (content) process.stdout.write(content);
}
Tip: Streaming-antwoorden komen binnen als Server-Sent Events. Elke chunk bevat een delta met gedeeltelijke inhoud.

Ingebouwde webzoekopdracht

Shannon includes a built-in web_search function that's automatically available.

Python
from openai import OpenAI

client = OpenAI(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/v1"
)

# Web search is automatically available!
# Shannon will use it when needed for current information

response = client.chat.completions.create(
    model="shannon-1.6-lite",
    messages=[
        {"role": "user", "content": "What are the latest AI news today?"}
    ],
    # Optionally, explicitly define web_search tool
    tools=[{
        "type": "function",
        "function": {
            "name": "web_search",
            "description": "Search the web for current information",
            "parameters": {
                "type": "object",
                "properties": {
                    "query": {"type": "string", "description": "Search query"}
                },
                "required": ["query"]
            }
        }
    }]
)

print(response.choices[0].message.content)
# Response includes sources and citations
JavaScript
import OpenAI from 'openai';

const client = new OpenAI({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/v1'
});

// Web search is automatically available!
// Shannon will use it when needed for current information

const response = await client.chat.completions.create({
  model: 'shannon-1.6-lite',
  messages: [
    { role: 'user', content: 'What are the latest AI news today?' }
  ],
  // Optionally, explicitly define web_search tool
  tools: [{
    type: 'function',
    function: {
      name: 'web_search',
      description: 'Search the web for current information',
      parameters: {
        type: 'object',
        properties: {
          query: { type: 'string', description: 'Search query' }
        },
        required: ['query']
      }
    }
  }]
});

console.log(response.choices[0].message.content);
// Response includes sources and citations
Pro-tip: Web search-resultaten bevatten bronvermeldingen. Shannon citeert bronnen automatisch.

Anthropic‑formaat

Shannon ondersteunt ook het Anthropic Messages API-formaat.

https://api.shannon-ai.com/v1/messages
Python
import anthropic

client = anthropic.Anthropic(
    api_key="YOUR_API_KEY",
    base_url="https://api.shannon-ai.com/messages"
)

response = client.messages.create(
    model="shannon-1.6-lite",
    max_tokens=1024,
    messages=[
        {"role": "user", "content": "Hello, Shannon!"}
    ],
    # Tool use (Anthropic format)
    tools=[{
        "name": "web_search",
        "description": "Search the web",
        "input_schema": {
            "type": "object",
            "properties": {
                "query": {"type": "string"}
            },
            "required": ["query"]
        }
    }]
)

print(response.content[0].text)
JavaScript
import Anthropic from '@anthropic-ai/sdk';

const client = new Anthropic({
  apiKey: 'YOUR_API_KEY',
  baseURL: 'https://api.shannon-ai.com/messages'
});

const response = await client.messages.create({
  model: 'shannon-1.6-lite',
  max_tokens: 1024,
  messages: [
    { role: 'user', content: 'Hello, Shannon!' }
  ],
  // Tool use (Anthropic format)
  tools: [{
    name: 'web_search',
    description: 'Search the web',
    input_schema: {
      type: 'object',
      properties: {
        query: { type: 'string' }
      },
      required: ['query']
    }
  }]
});

console.log(response.content[0].text);
Vereiste header: Anthropic-formaat vereist anthropic-version: 2023-06-01.

SDK's

Compatibel

Use any OpenAI or Anthropic SDK - just change the base URL.

OpenAI-Compatible SDKs

SDK Python

Officiele OpenAI Python SDK - werkt met Shannon

pip install openai
Documentatie bekijken ->
SDK JavaScript / TypeScript

Officiele OpenAI Node.js SDK - werkt met Shannon

npm install openai
Documentatie bekijken ->
SDK Go

Community Go-client voor OpenAI-compatibele APIs

go get github.com/sashabaranov/go-openai
Documentatie bekijken ->
SDK Ruby

Community Ruby-client voor OpenAI-compatibele APIs

gem install ruby-openai
Documentatie bekijken ->
SDK PHP

Community PHP-client voor OpenAI-compatibele APIs

composer require openai-php/client
Documentatie bekijken ->
SDK Rust

Asynchrone Rust-client voor OpenAI-compatibele APIs

cargo add async-openai
Documentatie bekijken ->

Anthropic-Compatible SDKs

SDK Python (Anthropic)

Officiele Anthropic Python SDK - werkt met Shannon

pip install anthropic
Documentatie bekijken ->
SDK TypeScript (Anthropic)

Officiele Anthropic TypeScript SDK - werkt met Shannon

npm install @anthropic-ai/sdk
Documentatie bekijken ->

Foutafhandeling

Shannon gebruikt standaard HTTP‑statuscodes en retourneert gedetailleerde foutmeldingen.

400 Onjuiste aanvraag Ongeldig aanvraagformaat of parameters
401 Niet geautoriseerd Ongeldige of ontbrekende API‑sleutel
402 Quota overschreden Token- of zoekquotum overschreden
429 Rate‑limit Te veel verzoeken, doe rustiger aan
500 Serverfout Interne fout, probeer later opnieuw

Foutrespons‑formaat

Foutrespons
{
  "error": {
    "message": "Invalid API key provided",
    "type": "authentication_error",
    "code": "invalid_api_key"
  }
}

Wijzigingslog

LOG

Recent updates and improvements to the Shannon API.

v2.1.0
2025-01-03
  • Nieuw shannon-coder-1 model toegevoegd voor Claude Code CLI-integratie
  • Nieuw Aanroep-gebaseerd quotasysteem voor Coder-model
  • Verbeterd Betrouwbaarheid van function calling verbeterd
v2.0.0
2024-12-15
  • Nieuw Anthropic Messages API-compatibiliteit toegevoegd
  • Nieuw Multi-turn tooluitvoering (tot 10 iteraties)
  • Nieuw Ondersteuning voor JSON Schema-responsformaat
  • Verbeterd Web search verbeterd met betere citaties
v1.5.0
2024-11-20
  • Nieuw shannon-deep-dapo model toegevoegd voor complex redeneren
  • Nieuw Ingebouwde web_search-functie
  • Verbeterd Lagere latentie voor streaming-antwoorden
v1.0.0
2024-10-01
  • Nieuw Eerste API-release
  • Nieuw OpenAI-compatibel chat completions-endpoint
  • Nieuw Ondersteuning voor function calling
  • Nieuw Streaming via Server-Sent Events

Je API‑sleutel

Toegang
Gebruik Bearer voor OpenAI of X-API-Key + anthropic-version.
YOUR_API_KEY
Vraag je API‑sleutel aan

Houd je API‑sleutel geheim. Opnieuw genereren maakt een nieuwe sleutel en maakt de oude ongeldig.

Versie: 1
Laatst geroteerd: Nooit
Laatst gebruikt: Nooit

Je gebruik

Bekijk token- en zoekverbruik op deze pagina na inloggen.

-- API‑aanroepen
-- Gebruikte tokens

Shannon Coder (shannon-coder-1)

Op aanroepen gebaseerd quotum voor Shannon Coder (shannon-coder-1). Wordt elke 4 uur gereset.

0 Gebruikte aanroepen
0 Resterende aanroepen

Klaar om te bouwen?

Get your API key and start building with Shannon AI today.

Vraag je API‑sleutel aan Bekijk prijzen

Populaire zoekopdrachten:

Probeer andere trefwoorden
Navigeren: ↑ ↓ Selecteren: Enter Sluiten: Esc